Skip to navigation

List revenue

View as Markdown

Authentication

Authorizationstring
API Key authentication via header

Query parameters

pagedoubleOptionalDefaults to 1

Page number (default: 1)

limitdoubleOptionalDefaults to 50

Flat rows per page (default: 50, maximum: 250)

filterstringOptional

Format: field:rule:value — comma-separated for multiple filters.

Fields: startMonth (string): eq, gte endMonth (string): eq, lte customerId (uuid): eq currency (string): eq

Example: filter=startMonth:eq:value

Format: startMonth/endMonth must be YYYY-MM (e.g. 2026-01); currency must be a valid ISO 4217 code (e.g. USD, EUR).

Response

Get all Revenues by filter
payloadobject
Response payload, will be empty when success is false
successboolean

Boolean with true=success, false=failure

messagestring

Plain-text description of the result

errorobjectOptional
json element with any error messages or warnings